• 技术文章 >开发工具 >composer

    分享 composer 小技巧

    藏色散人藏色散人2019-09-07 13:55:43转载74
    Composer是PHP中用来管理依赖关系的工具。你可以在自己的项目中声明所依赖的外部工具库,Composer会帮你安装这些依赖的库文件。下面由composer使用教程栏目给大家分享一些composer 小技巧,希望对需要的朋友有所帮助!

    1、 仅更新单个库

    composer update foo/bar

    此外,这个技巧还可以用来解决“警告信息问题”。你一定见过这样的警告信息:

    Warning: The lock file is not up to date with the latest changes in composer.json, you may be getting outdated dependencies, run update to update them.

    那么我们该怎么办呢?update命令可以更新lock文件,但是如果仅仅增加了一些描述,应该是不打算更新任何库。这种情况下,只需update nothing:

    $ composer update nothing

    这样一来,Composer不会更新库,但是会更新composer.lock。注意nothing并不是update命令的关键字。只是没有nothing 这个包导致的结果。如果你输入foobar,结果也一样。

    如果你用的Composer版本足够新,那么你可以直接使用--lock选项:

    composer update --lock

    2、 不编辑composer.json的情况下安装库

    你可能会觉得每安装一个库都需要修改composer.json太麻烦,那么你可以直接使用require命令

    composer require "foo/bar:1.0.0"

    3、 派生很容易

    初始化的时候,你试过create-project命令么?

    composer create-project doctrine/orm path 2.2.0

    这会自动克隆仓库,并检出指定的版本。克隆库的时候用这个命令很方便,不需要搜寻原始的URI了。

    4、 如果想下载国内的镜像需要加上这段代码即可

    "repositories": {
    "packagist": {
      "type": "composer",
      "url": "https://packagist.phpcomposer.com"
    }
    }

    以上就是分享 composer 小技巧的详细内容,更多请关注php中文网其它相关文章!

    phpstudy集成环境下载
    本文转载于:segmentfault,如有侵犯,请联系a@php.cn删除
    专题推荐:composer
    上一篇:Linux Composer安装,配置国内镜像 下一篇:wamp环境下运行composer的坑

    相关文章推荐

    • 输入composer安装命令没反应怎么办• Composer 镜像限额,出现要求用户名认证时请使用替代源• 解决composer.phar安装问题• Linux Composer安装,配置国内镜像

    全部评论我要评论

  • 取消发布评论发送
  • 1/1

    PHP中文网